# $Revision: 1.14 $, $Date: 2011/07/01 14:26:12 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	SAX-ExpatXS
Summary:	XML::SAX::ExpatXS - Perl SAX 2 XS extension to Expat parser
Summary(pl.UTF-8):	XML::SAX::ExpatXS - rozszerzenie XS Perla SAX 2 do analizatora Expat
Name:		perl-XML-SAX-ExpatXS
Version:	1.32
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/XML/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f895b4be6b1b5f81366955cdd7ac5724
Patch0:		%{name}-Makefile.PL.patch
URL:		http://search.cpan.org/dist/XML-SAX-ExpatXS/
BuildRequires:	expat-devel
%if %{with tests}
BuildRequires:	perl-XML-SAX >= 0.13
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XML::SAX::ExpatXS is a direct XS extension to Expat XML parser. It
implements Perl SAX 2.1 interface.

%description -l pl.UTF-8
XML::SAX::ExpatXS to bezpośrednie rozszerzenie XS do analizatora XML-a
Expat. Implementuje interfejs Perla SAX 2.1.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 022
%{__perl} -MXML::SAX -e "XML::SAX->add_parser(q(XML::SAX::ExpatXS))->save_parsers()"

%postun
if [ "$1" = "0" ]; then
	umask 022
	%{__perl} -MXML::SAX -e "XML::SAX->remove_parser(q(XML::SAX::ExpatXS))->save_parsers()"
fi

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/XML/SAX/*
%dir %{perl_vendorarch}/XML/SAX
%dir %{perl_vendorarch}/auto/XML/SAX
%dir %{perl_vendorarch}/auto/XML/SAX/ExpatXS
%attr(755,root,root) %{perl_vendorarch}/auto/XML/SAX/ExpatXS/*.so
%{perl_vendorarch}/auto/XML/SAX/ExpatXS/*.bs
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-XML-SAX-ExpatXS.spec,v $
Revision 1.14  2011/07/01 14:26:12  marti
- up to 1.32

Revision 1.13  2010/06/06 08:45:06  arekm
- release 2

Revision 1.12  2009/10/08 12:15:47  amateja
- updated to 1.31

Revision 1.11  2008/03/25 21:03:44  qboosh
- generic URL

Revision 1.10  2008-02-10 12:24:27  arekm
- rel 3

Revision 1.9  2008-01-14 17:39:26  glen
- missing dirs; rel 2

Revision 1.8  2007-02-13 08:06:38  glen
- tabs in preamble

Revision 1.7  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.6  2006/10/20 20:03:24  ankry
- rel 1

Revision 1.5  2006/07/16 22:45:30  agaran
- up to 1.20 rel 0.1, builds here

Revision 1.4  2006/02/03 20:48:19  qboosh
- removed dup dir, .so perms

Revision 1.3  2006/02/03 19:54:24  migo
- up to 1.10

Revision 1.2  2005/09/22 19:41:15  qboosh
- pl

Revision 1.1  2005/09/10 21:28:48  migo
- initial revision
